Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime
Interface IPlatformRunnable

All Known Implementing Classes:
  AntRunner, StandaloneUpdateApplication

public interface IPlatformRunnable

Bootstrap type for the platform. Platform runnables represent executable entry points into plug-ins. Runnables can be configured into the Platform's `org.eclipse.core.runtime.applications` extension-point or be made available through code or extensions on other plug-in's extension-points.

Clients may implement this interface.

Since:
  3.0

Field Summary
`static Integer` | `EXIT_OK` Exit object indicating normal termination
`static Integer` | `EXIT_RELAUNCH` Exit object requesting that the command passed back be executed.
`static Integer` | `EXIT_RESTART` Exit object requesting platform restart

Method Summary
`Object` | `run(Object args)` Runs this runnable with the given args and returns a result.

Field Detail

### EXIT_OK

    public static final Integer EXIT_OK

  Exit object indicating normal termination

### EXIT_RESTART

    public static final Integer EXIT_RESTART

  Exit object requesting platform restart

### EXIT_RELAUNCH

    public static final Integer EXIT_RELAUNCH

  Exit object requesting that the command passed back be executed. Typically this is used to relaunch Eclipse with different command line arguments.

Method Detail

### run

    public Object run(Object args)
               throws Exception

  Runs this runnable with the given args and returns a result. The content of the args is unchecked and should conform to the expectations of the runnable being invoked. Typically this is a `String` array. Applications can return any object they like. If an `Integer` is returned it is treated as the program exit code if Eclipse is exiting.

  Parameters:
    `args` - the argument(s) to pass to the application
  Returns:
    the return value of the application
  Throws:
    `Exception` - if there is a problem running this runnable.
  See Also:
    `EXIT_OK`, `EXIT_RESTART`, `EXIT_RELAUNCH`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.